Generation Framework

## org.eclipse.gmf.gmfgraph
Interface GridLayoutData

All Superinterfaces:
  EObject, LayoutData, Notifier

All Known Implementing Classes:
  GridLayoutDataImpl

public interface GridLayoutData
extends LayoutData

A representation of the model object 'Grid Layout Data'.

The following features are supported:

- `Grab Excess Horizontal Space`
- `Grab Excess Vertical Space`
- `Vertical Alignment`
- `Horizontal Alignment`
- `Vertical Span`
- `Horizontal Span`
- `Horizontal Indent`
- `Size Hint`

See Also:
  `GMFGraphPackage.getGridLayoutData()`
** Generated **
Model:

Method Summary
`Alignment` `getHorizontalAlignment()` Returns the value of the 'Horizontal Alignment' attribute.
`int` `getHorizontalIndent()` Returns the value of the 'Horizontal Indent' attribute
`int` `getHorizontalSpan()` Returns the value of the 'Horizontal Span' attribute.
`Dimension` `getSizeHint()` Returns the value of the 'Size Hint' containment reference
`Alignment` `getVerticalAlignment()` Returns the value of the 'Vertical Alignment' attribute.
`int` `getVerticalSpan()` Returns the value of the 'Vertical Span' attribute.
`boolean` `isGrabExcessHorizontalSpace()` Returns the value of the 'Grab Excess Horizontal Space' attribute.
`boolean` `isGrabExcessVerticalSpace()` Returns the value of the 'Grab Excess Vertical Space' attribute.
`void` `setGrabExcessHorizontalSpace(boolean value)` Sets the value of the '`Grab Excess Horizontal Space`' attribute
`void` `setGrabExcessVerticalSpace(boolean value)` Sets the value of the '`Grab Excess Vertical Space`' attribute
`void` `setHorizontalAlignment(Alignment value)` Sets the value of the '`Horizontal Alignment`' attribute
`void` `setHorizontalIndent(int value)` Sets the value of the '`Horizontal Indent`' attribute
`void` `setHorizontalSpan(int value)` Sets the value of the '`Horizontal Span`' attribute
`void` `setSizeHint(Dimension value)` Sets the value of the '`Size Hint`' containment reference
`void` `setVerticalAlignment(Alignment value)` Sets the value of the '`Vertical Alignment`' attribute
`void` `setVerticalSpan(int value)` Sets the value of the '`Vertical Span`' attribute

Methods inherited from interface org.eclipse.gmf.gmfgraph.LayoutData
`getOwner, setOwner`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isGrabExcessHorizontalSpace

    public boolean isGrabExcessHorizontalSpace()

  Returns the value of the 'Grab Excess Horizontal Space' attribute. The default value is `"false"`.

  If the meaning of the 'Grab Excess Horizontal Space' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grab Excess Horizontal Space' attribute.
  See Also:
    `GridLayoutData.setGrabExcessHorizontalSpace(boolean)`, `GMFGraphPackage.getGridLayoutData_GrabExcessHorizontalSpace()`
  ** Generated **
  Model:
    default="false" required="true"

### setGrabExcessHorizontalSpace

    public void setGrabExcessHorizontalSpace(boolean value)

  Sets the value of the '`Grab Excess Horizontal Space`' attribute.

  Parameters:
    `value` - the new value of the 'Grab Excess Horizontal Space' attribute.
  See Also:
    `GridLayoutData.isGrabExcessHorizontalSpace()`
  ** Generated **

### isGrabExcessVerticalSpace

    public boolean isGrabExcessVerticalSpace()

  Returns the value of the 'Grab Excess Vertical Space' attribute. The default value is `"false"`.

  If the meaning of the 'Grab Excess Vertical Space' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grab Excess Vertical Space' attribute.
  See Also:
    `GridLayoutData.setGrabExcessVerticalSpace(boolean)`, `GMFGraphPackage.getGridLayoutData_GrabExcessVerticalSpace()`
  ** Generated **
  Model:
    default="false" required="true"

### setGrabExcessVerticalSpace

    public void setGrabExcessVerticalSpace(boolean value)

  Sets the value of the '`Grab Excess Vertical Space`' attribute.

  Parameters:
    `value` - the new value of the 'Grab Excess Vertical Space' attribute.
  See Also:
    `GridLayoutData.isGrabExcessVerticalSpace()`
  ** Generated **

### getVerticalAlignment

    public Alignment getVerticalAlignment()

  Returns the value of the 'Vertical Alignment' attribute. The default value is `"CENTER"`. The literals are from the enumeration `Alignment`.

  If the meaning of the 'Vertical Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Vertical Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.setVerticalAlignment(Alignment)`, `GMFGraphPackage.getGridLayoutData_VerticalAlignment()`
  ** Generated **
  Model:
    default="CENTER" required="true"

### setVerticalAlignment

    public void setVerticalAlignment(Alignment value)

  Sets the value of the '`Vertical Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Vertical Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.getVerticalAlignment()`
  ** Generated **

### getHorizontalAlignment

    public Alignment getHorizontalAlignment()

  Returns the value of the 'Horizontal Alignment' attribute. The default value is `"CENTER"`. The literals are from the enumeration `Alignment`.

  If the meaning of the 'Horizontal Alignment' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Horizontal Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.setHorizontalAlignment(Alignment)`, `GMFGraphPackage.getGridLayoutData_HorizontalAlignment()`
  ** Generated **
  Model:
    default="CENTER" required="true"

### setHorizontalAlignment

    public void setHorizontalAlignment(Alignment value)

  Sets the value of the '`Horizontal Alignment`' attribute.

  Parameters:
    `value` - the new value of the 'Horizontal Alignment' attribute.
  See Also:
    `Alignment`, `GridLayoutData.getHorizontalAlignment()`
  ** Generated **

### getVerticalSpan

    public int getVerticalSpan()

  Returns the value of the 'Vertical Span' attribute. The default value is `"1"`.

  If the meaning of the 'Vertical Span' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Vertical Span' attribute.
  See Also:
    `GridLayoutData.setVerticalSpan(int)`, `GMFGraphPackage.getGridLayoutData_VerticalSpan()`
  ** Generated **
  Model:
    default="1" required="true"

### setVerticalSpan

    public void setVerticalSpan(int value)

  Sets the value of the '`Vertical Span`' attribute.

  Parameters:
    `value` - the new value of the 'Vertical Span' attribute.
  See Also:
    `GridLayoutData.getVerticalSpan()`
  ** Generated **

### getHorizontalSpan

    public int getHorizontalSpan()

  Returns the value of the 'Horizontal Span' attribute. The default value is `"1"`.

  If the meaning of the 'Horizontal Span' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Horizontal Span' attribute.
  See Also:
    `GridLayoutData.setHorizontalSpan(int)`, `GMFGraphPackage.getGridLayoutData_HorizontalSpan()`
  ** Generated **
  Model:
    default="1" required="true"

### setHorizontalSpan

    public void setHorizontalSpan(int value)

  Sets the value of the '`Horizontal Span`' attribute.

  Parameters:
    `value` - the new value of the 'Horizontal Span' attribute.
  See Also:
    `GridLayoutData.getHorizontalSpan()`
  ** Generated **

### getHorizontalIndent

    public int getHorizontalIndent()

  Returns the value of the 'Horizontal Indent' attribute.

  If the meaning of the 'Horizontal Indent' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Horizontal Indent' attribute.
  See Also:
    `GridLayoutData.setHorizontalIndent(int)`, `GMFGraphPackage.getGridLayoutData_HorizontalIndent()`
  ** Generated **
  Model:
    required="true"

### setHorizontalIndent

    public void setHorizontalIndent(int value)

  Sets the value of the '`Horizontal Indent`' attribute.

  Parameters:
    `value` - the new value of the 'Horizontal Indent' attribute.
  See Also:
    `GridLayoutData.getHorizontalIndent()`
  ** Generated **

### getSizeHint

    public Dimension getSizeHint()

  Returns the value of the 'Size Hint' containment reference.

  If the meaning of the 'Size Hint' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Size Hint' containment reference.
  See Also:
    `GridLayoutData.setSizeHint(Dimension)`, `GMFGraphPackage.getGridLayoutData_SizeHint()`
  ** Generated **
  Model:
    containment="true"

### setSizeHint

    public void setSizeHint(Dimension value)

  Sets the value of the '`Size Hint`' containment reference.

  Parameters:
    `value` - the new value of the 'Size Hint' containment reference.
  See Also:
    `GridLayoutData.getSizeHint()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.